"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegaccountRawMapper = exports.RegaccountMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class RegaccountMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('account', {
            key: 'account',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('type', {
            key: 'type',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, account, type, _id, ...rest } = mongoModel;
        return entities_1.Regaccount.create(dac_id || '', account || '', type || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.RegaccountMongoMapper = RegaccountMongoMapper;
class RegaccountRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, account, type, ...rest } = rawModel;
        return entities_1.Regaccount.create(dac_id || '', account || '', type || 0, undefined, rest);
    }
}
exports.RegaccountRawMapper = RegaccountRawMapper;
