"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegrefRawMapper = exports.RegrefMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class RegrefMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('value', {
            key: 'value',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('type', {
            key: 'type',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, value, type, _id, ...rest } = mongoModel;
        return entities_1.Regref.create(dac_id || '', value || '', type || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.RegrefMongoMapper = RegrefMongoMapper;
class RegrefRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, value, type, ...rest } = rawModel;
        return entities_1.Regref.create(dac_id || '', value || '', type || 0, undefined, rest);
    }
}
exports.RegrefRawMapper = RegrefRawMapper;
