"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetstatusRawMapper = exports.SetstatusMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class SetstatusMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('value', {
            key: 'value',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, value, _id, ...rest } = mongoModel;
        return entities_1.Setstatus.create(dac_id || '', value || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.SetstatusMongoMapper = SetstatusMongoMapper;
class SetstatusRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, value, ...rest } = rawModel;
        return entities_1.Setstatus.create(dac_id || '', value || 0, undefined, rest);
    }
}
exports.SetstatusRawMapper = SetstatusRawMapper;
