"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettitleRawMapper = exports.SettitleMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class SettitleMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('title', {
            key: 'title',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, title, _id, ...rest } = mongoModel;
        return entities_1.Settitle.create(dac_id || '', title || '', _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.SettitleMongoMapper = SettitleMongoMapper;
class SettitleRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, title, ...rest } = rawModel;
        return entities_1.Settitle.create(dac_id || '', title || '', undefined, rest);
    }
}
exports.SettitleRawMapper = SettitleRawMapper;
