"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnregdacRawMapper = exports.UnregdacMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class UnregdacMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, _id, ...rest } = mongoModel;
        return entities_1.Unregdac.create(dac_id || '', _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.UnregdacMongoMapper = UnregdacMongoMapper;
class UnregdacRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, ...rest } = rawModel;
        return entities_1.Unregdac.create(dac_id || '', undefined, rest);
    }
}
exports.UnregdacRawMapper = UnregdacRawMapper;
