"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexWorldsDeltaMongoSource = void 0;
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
class IndexWorldsDeltaMongoSource extends aw_storage_mongodb_1.MongoCollectionSource {
    constructor(mongoSource) {
        super(mongoSource, 'index.worlds_deltas', {
            indexes: [
                { key: { block_num: 1 }, background: true },
                { key: { code: 1, table: 1 }, background: true },
                { key: { code: 1, scope: 1, table: 1 }, background: true },
                {
                    key: {
                        block_num: 1,
                        data_hash: 1,
                        code: 1,
                        scope: 1,
                        table: 1,
                        primary_key: 1,
                        payer: 1,
                        present: 1,
                    },
                    unique: true,
                    background: true,
                },
            ],
        });
    }
}
exports.IndexWorldsDeltaMongoSource = IndexWorldsDeltaMongoSource;
